ReferenceCompanies
Update a company representative
Replaces one representative of the company and returns the stored row. Requires `Permissions.Companies.Update`.
PUT
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
companyId*integerFormat
int32representativeId*integerFormat
int32application/json- body
address1?|Length
length <= 80address2?|Length
length <= 80city?|Length
length <= 50companyId?|Format
int32country?|Length
length <= 80dateOfBirth?|Format
date-timedateOfNameDay?|Format
date-timeemail?|Length
length <= 80eshopRepresentativeId?string|nullfax?|Length
length <= 20functionId?|Format
int32id?|Format
int32isInformEnabled?boolean|nullmobilePhone?|Length
length <= 20name?|Length
length <= 50note?string|nullphone?|Length
length <= 20surname?|Length
length <= 50title?|Length
length <= 10zipCode?|Length
length <= 6application/json- response
address1?|Length
length <= 80address2?|Length
length <= 80city?|Length
length <= 50companyId?|Format
int32country?|Length
length <= 80dateOfBirth?|Format
date-timedateOfNameDay?|Format
date-timeemail?|Length
length <= 80eshopRepresentativeId?string|nullfax?|Length
length <= 20functionId?|Format
int32id?|Format
int32isInformEnabled?boolean|nullmobilePhone?|Length
length <= 20name?|Length
length <= 50note?string|nullphone?|Length
length <= 20surname?|Length
length <= 50title?|Length
length <= 10zipCode?|Length
length <= 6curl -X PUT 'https://<your-instance>/api/companies/0/representatives/0' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{ "address1": "Street 42", "address2": "District 24", "city": "Prague", "companyId": 2, "country": "Czech republic", "dateOfBirth": "1989-05-05T00:00:00", "dateOfNameDay": "2025-06-04T00:00:00", "email": "[email protected]", "fax": "987987987", "id": 15, "isInformEnabled": false, "mobilePhone": "111555666", "name": "Updated Representative", "note": "Updated Test note", "phone": "111236548", "surname": "Beer", "title": "MBa", "zipCode": "10000"}'{ "address1": "string", "address2": "string", "city": "string", "companyId": 0, "country": "string", "dateOfBirth": "2019-08-24T14:15:22Z", "dateOfNameDay": "2019-08-24T14:15:22Z", "email": "string", "eshopRepresentativeId": "string", "fax": "string", "functionId": 0, "id": 0, "isInformEnabled": true, "mobilePhone": "string", "name": "string", "note": "string", "phone": "string", "surname": "string", "title": "string", "zipCode": "string"}